import SealReadingError from "./SealReadingError";
declare const _default: {
    SealReadingError: typeof SealReadingError;
    extractSealFromMime: (mime: string | import("@vereign/lib-mime/dist/MIMEParser").default, parseHTML?: (htmlString: string) => HTMLDocument) => Promise<{
        sealUrl: string;
        publicKey: string;
        sealId: string;
    }>;
    SEAL_IMAGE_ALT: string;
    SEAL_IMAGE_PREFIX: string;
    SEAL_CONTAINER_PREFIX: string;
    SRC_PLACEHOLDER: string;
    getSealTemplate: (sealId: string, sealUrl: string) => string;
    createSealUrl: (baseUrl: string, sealHeadBase64: string) => string;
    getSealHead: (sealUrl: string) => string;
    getSealId: (sealUrl: string) => Promise<string>;
};
export default _default;
